#include <fstream>
#include <vector>
using namespace std;
int main()
{
    ifstream f1("tansuat.inp");
    ofstream f2("tansuat.out");
    long n;
    long a[100000];
    long dem=0;
    vector<int> d(100000,0);
    f1>>n;
    for(long i=1;i<=n;i++){
        f1>>a[i];
        d[a[i]]++;
    }
    for(long j=1;j<=n;j++){
        if(d[j]>1)
		{
            f2<<j<<" "<<d[j]<<endl;
            dem=dem+1;
        }
    }
    if(dem==0){
    	f2<<0;
	}
    f1.close();
    f2.close();
}
